QGIS Application - Bug report #15465
embedding layers shows current style instead of new style when replacing layers
2016-08-19 11:30 AM - Donovan Cameron

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.16.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23391
Description

I've got a project file, called "Base - 2.16.1 - 1.qgs" and that map has the current styling - | make styling and labeling changes in this one.

| have a project file called "Project XX2344.qgs" which | would like to embed layers from the "Base - 2.16.1 - 1.qgs" project file.

Both the "Base - 2.16.1 - 1.qgs" and "Project XX2344.qgs" were created with a save-as from an older project file called "Base - 2.14.0
- 6.9gs" so they have a lot of the same layers.

When | open "Project XX2344.qgs" and select Layer > Embed Layers and Groups... and navigate to "Base - 2.16.1 - 1.qgs" the list of
layers that pops up actually shows the list and styling from the current "Project XX2344.qgs" project instead.

| think there is a problem when both projects have the same layer loaded (maybe the layer_id?).
| tried removing a layer from "Project XX2344.qgs" then embedding that layer from the "Base" project and it works.

For a suggestion maybe have an option to "replace" duplicate layers like prompting the user that there is another layer in the current
project that matches a layer from the project that they're pulling layers from to embed.

This prompt could get tedious for lots of layers, so it could be a master toggle/checkbox in the Layer > Embed Layers and Groups...
window.

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
